__WPrivilegedAccess

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.widgets.base.widget
Class __WPrivilegedAccess

    java.lang.Object
      net.ctdp.rfdynhud.widgets.base.widget.__WPrivilegedAccess

    public class __WPrivilegedAccess

extends java.lang.Object

Don't use this at home!

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`__WPrivilegedAccess()`

Method Summary
`static void` | `addPart(Widget widget, AbstractAssembledWidget assWidget)`
`static void` | `clearRegion(Widget widget, TextureImage2D texture, int offsetX, int offsetY, int width, int height)`
`static VehicleScoringInfo` | `getControlledCompareVSI(WidgetController controller)`
`static VehicleScoringInfo` | `getControlledViewedVSI(WidgetController controller)`
`static boolean` | `hasLocalStore(StatefulWidget widget)`
`static boolean` | `isInitialized(Widget widget)`
`static boolean` | `needsCompleteClear(Widget widget)`
`static void` | `onBoundInputStateChanged(Widget widget, InputAction action, boolean state, int modifierMask, long when, LiveGameData gameData, boolean isEditorMode)`
`static void` | `onCanvasSizeChanged(Widget widget)`
`static void` | `onPositionChanged(RelativePositioning oldPositioning, int oldX, int oldY, RelativePositioning newPositioning, int newX, int newY, Widget widget)`
`static void` | `onSizeChanged(int oldWidth, int oldHeight, int newWidth, int newHeight, Widget widget)`
`static void` | `onVehicleControlChanged(Widget widget, VehicleScoringInfo viewedVSI, LiveGameData gameData, boolean isEditorMode)`
`static void` | `removePart(Widget widget, AbstractAssembledWidget assWidget)`
`static void` | `setConfiguration(WidgetsConfiguration config, Widget widget, boolean loading)`
`static void` | `setInputVisible(Widget widget, boolean visible)`
`static void` | `setLocalStore(java.lang.Object localStore, StatefulWidget widget)`
`static void` | `sortWidgetParts(AbstractAssembledWidget assWidget)`
`static void` | `toggleInputVisible(Widget widget)`
`static void` | `updateVisibility(Widget widget, LiveGameData gameData, boolean isEditorMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### __WPrivilegedAccess

    public __WPrivilegedAccess()

Method Detail

### addPart

    public static void addPart(Widget widget,
                               AbstractAssembledWidget assWidget)

### removePart

    public static void removePart(Widget widget,
                                  AbstractAssembledWidget assWidget)

### sortWidgetParts

    public static final void sortWidgetParts(AbstractAssembledWidget assWidget)

### setConfiguration

    public static final void setConfiguration(WidgetsConfiguration config,
                                              Widget widget,
                                              boolean loading)

### setLocalStore

    public static final void setLocalStore(java.lang.Object localStore,
                                           StatefulWidget widget)

### hasLocalStore

    public static final boolean hasLocalStore(StatefulWidget widget)

### getControlledViewedVSI

    public static final VehicleScoringInfo getControlledViewedVSI(WidgetController controller)

### getControlledCompareVSI

    public static final VehicleScoringInfo getControlledCompareVSI(WidgetController controller)

### isInitialized

    public static final boolean isInitialized(Widget widget)

### onPositionChanged

    public static final void onPositionChanged(RelativePositioning oldPositioning,
                                               int oldX,
                                               int oldY,
                                               RelativePositioning newPositioning,
                                               int newX,
                                               int newY,
                                               Widget widget)

### onSizeChanged

    public static final void onSizeChanged(int oldWidth,
                                           int oldHeight,
                                           int newWidth,
                                           int newHeight,
                                           Widget widget)

### onCanvasSizeChanged

    public static final void onCanvasSizeChanged(Widget widget)

### updateVisibility

    public static final void updateVisibility(Widget widget,
                                              LiveGameData gameData,
                                              boolean isEditorMode)

### onVehicleControlChanged

    public static final void onVehicleControlChanged(Widget widget,
                                                     VehicleScoringInfo viewedVSI,
                                                     LiveGameData gameData,
                                                     boolean isEditorMode)

### onBoundInputStateChanged

    public static final void onBoundInputStateChanged(Widget widget,
                                                      InputAction action,
                                                      boolean state,
                                                      int modifierMask,
                                                      long when,
                                                      LiveGameData gameData,
                                                      boolean isEditorMode)

### toggleInputVisible

    public static final void toggleInputVisible(Widget widget)

### setInputVisible

    public static final void setInputVisible(Widget widget,
                                             boolean visible)

### needsCompleteClear

    public static final boolean needsCompleteClear(Widget widget)

### clearRegion

    public static final void clearRegion(Widget widget,
                                         TextureImage2D texture,
                                         int offsetX,
                                         int offsetY,
                                         int width,
                                         int height)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD